[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.FindNodeWithData

Finds a node containing the specified data.

## Declaration

Source position: comctrls.pp line 3262

`public function TTreeNodes.FindNodeWithData(`
`const NodeData: Pointer`
`):TTreeNode;`

## Arguments

`NodeData` |  | Pointer to the node data to locate in tree nodes for the container.

## Function result

TTreeNode instance which contains the specified data, or Nil when not found.

## Description

Iterates over the nodes in the container to locate a TTreeNode instance which contains NodeData in its Data property. GetFirstNode provides the first node examined in the container. The process continues until NodeData is located, or GetNext does not return a TTreeNode instance.

The return value contains Nil if NodeData is not found in the tree nodes.